#ifndef __CtlBrFunction_h
#define __CtlBrFunction_h

#include "ControlBarBase.h"	// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCControlBarBase

/////////////////////////////////////////////////////////////////////////////
// CFCCtlBrFunction

class CFCCtlBrFunction : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNAMIC(CFCCtlBrFunction)

	enum { FUNCTION_COUNT = 12 };

public:
	CFCCtlBrFunction();
	~CFCCtlBrFunction();

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_
public:
	virtual BOOL	Create (CWnd* pParentWnd, DWORD dwStyle, UINT nID);

protected:
	virtual BOOL	UpdateCommandInfo ();
	virtual void	GetCommandRect (CRect* pRectArray) const;

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiBeC_xHqqkZx_
private:
	int		m_iControl;	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiDeMiBfLiJjPiClFiBeI_xHqqkZx_
	int		m_iShift;	// _xZkqqHx_iDfGiDhEiDgHiDeMiBfLiJjPiClFiBeI_xHqqkZx_
	int		m_iAlt;		// _xZkqqHx_iDeJiDiLiDgHiDeMiBfLiJjPiClFiBeI_xHqqkZx_
	long	m_aCommandId[FUNCTION_COUNT];

// Attributes
public:

// Implementation
public:
	virtual void DoPaint(CDC* pDC);
	virtual CSize CalcFixedLayout(BOOL bStretch, BOOL bHorz);
// 02.06.11 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ (_xZkqqHx_iDhEiDeAiDjDiDeOiDfGiDiHiDjDiDgPiBfLiCmMjFfMiOkGiCkK_xHqqkZx_"ALT"_xZkqqHx_iDeMiBfLiCmNiJjPiClHjGiIiCmMiDgHiDePiDiLjFfMiOkGiBeCiDgHiDePiDiLjDkOiNoMiClFiCmIiCkCiCpBiClOiCkJiCoHiBeBiClBiCoKiCmNjFmP_xHqqkZx_)
	virtual void OnSysKeyDownUp ();
protected:
	virtual void OnUpdateCmdUI(CFrameWnd* pTarget, BOOL bDisableIfNoHndler);

	// Generated message map functions
	//{{AFX_MSG(CFCCtlBrFunction)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	afx_msg LRESULT OnUserPursuerTextNeedInfo(WPARAM wParam, LPARAM lParam = 0);
	DECLARE_MESSAGE_MAP()
}; // class CFCCtlBrFunction.

#endif//__CtlBrFunction_h

